Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::DrawRequest Class Reference

描画リクエスト More...

`#include <DrawRequest.h>`

List of all members.

## Public Member Functions
virtual Mesh * | getMesh () const
| メッシュの取得
virtual bool | isMeshChanged () const
| メッシュに変更があったか
virtual SceneNode * | getSceneNode () const
| シーンノードの取得
virtual bool | isSceneNodeChanged () const
| シーンノードに変更があったか
virtual Model * | getModel () const
| モデルの取得
virtual bool | isModelChanged () const
| モデルに変更があったか
virtual MeshData * | getMeshData () const
| メッシュデータの取得
virtual bool | isMeshDataChanged () const
| メッシュデータに変更があったか
virtual Material * | getMaterial () const
| マテリアルの取得
virtual Material * | getPreMaterial () const
| 前のマテリアルの取得
virtual bool | isMaterialChanged () const
| マテリアルに変更があったか
virtual bool | requireNormalize () const
| 正規化を必要とするか
virtual bool | isPipelineModeChanged () const
| パイプラインモードに変更があったか
virtual Fog * | getFog () const
| フォグの取得
virtual Camera * | getCamera () const
| カメラの取得
virtual int | getAmbientLightCount () const
| アンビエントライト数の取得
virtual AmbientLight * | getAmbientLight (int index) const
| アンビエントライトの取得
Color3f | getAmbientColor () const
| アンビエント色の取得
virtual int | getDirectionalLightCount () const
| ディレクショナルライト数の取得
virtual DirectionalLight * | getDirectionalLight (int index) const
| ディレクショナルライトの取得
virtual void | addLocalLight (LocalLight *localLight)
| ローカルライトの追加
virtual void | clearLocalLights ()
| ローカルライトのクリア
virtual int | getLocalLightCount () const
| ローカルライト数の取得
virtual LocalLight * | getLocalLight (int index) const
| ローカルライトの取得
virtual void | sortLocalLights ()
| ローカルライトのソート
## Static Public Member Functions
int | sortLocalLightsCallback (LocalLight *const *left, LocalLight *const *right)
| ローカルライトのソート用コールバック
## Protected Member Functions
| DrawRequest ()
| コンストラクタ
virtual | ~DrawRequest ()
| デストラクタ
virtual void | clear ()
| クリア
virtual bool | isBlendEnabled () const
| ブレンドが有効になった
virtual void | setMesh (Mesh *mesh)
| メッシュの設定
virtual void | setFog (Fog *fog)
| フォグの設定
virtual void | setCamera (Camera *camera)
| カメラの設定
virtual void | addAmbientLight (AmbientLight *ambientLight)
| アンビエントライトの追加
virtual void | addDirectionalLight (DirectionalLight *directionalLight)
| ディレクショナルライトの追加
virtual int | sortLocalLightsImprement (LocalLight *left, LocalLight *right)
| ローカルライトのソート実装
## Friends
class | Renderer

## Detailed Description

描画リクエスト

Definition at line 47 of file DrawRequest.h.

## Member Function Documentation

void Lamp::DrawRequest::addAmbientLight | ( | AmbientLight * | ambientLight | ) | `[protected, virtual]`

  | アンビエントライトの追加 Parameters:
  ambientLight | 追加するライト
Definition at line 120 of file DrawRequest.cpp. References Lamp::ArrayList< AmbientLight * >::add(), Assert, and Lamp::AmbientLight::isAmbientLight(). Referenced by Lamp::Renderer::initializeDrawRequest().

void Lamp::DrawRequest::addDirectionalLight | ( | DirectionalLight * | directionalLight | ) | `[protected, virtual]`

  | ディレクショナルライトの追加 Parameters:
  directionalLight | 追加するライト
Definition at line 141 of file DrawRequest.cpp. References Lamp::ArrayList< DirectionalLight * >::add(), Assert, and Lamp::DirectionalLight::isDirectionalLight(). Referenced by Lamp::Renderer::initializeDrawRequest().

void Lamp::DrawRequest::addLocalLight | ( | LocalLight * | localLight | ) | `[virtual]`

  | ローカルライトの追加 Parameters:
  localLight | 追加するライト
Definition at line 147 of file DrawRequest.cpp. References Lamp::ArrayList< LocalLight * >::add(), Assert, and Lamp::LocalLight::isLocalLight(). Referenced by Lamp::Scene::getLocalLightList().

Color3f Lamp::DrawRequest::getAmbientColor | ( |  | ) | const

| アンビエント色の取得 Returns: アンビエント色 Definition at line 126 of file DrawRequest.cpp. References Assert, Lamp::ArrayList< AmbientLight * >::get(), Lamp::AmbientLight::getColor(), Lamp::ArrayList< AmbientLight * >::getCount(), Lamp::Light::getLightMask(), Lamp::Material::getLightMask(), NULL, and u_int. Referenced by Lamp::FixedShader::setupFixedLight().

virtual int Lamp::DrawRequest::getAmbientLightCount | ( |  | ) | const`[inline, virtual]`

| アンビエントライト数の取得 Returns: アンビエントライト数 Definition at line 162 of file DrawRequest.h. References Lamp::ArrayList< AmbientLight * >::getCount().

virtual Camera* Lamp::DrawRequest::getCamera | ( |  | ) | const`[inline, virtual]`

| カメラの取得 Returns: カメラ Definition at line 153 of file DrawRequest.h. Referenced by Lamp::Renderer::initializeGlobalSettings().

virtual int Lamp::DrawRequest::getDirectionalLightCount | ( |  | ) | const`[inline, virtual]`

| ディレクショナルライト数の取得 Returns: ディレクショナルライト数 Definition at line 186 of file DrawRequest.h. References Lamp::ArrayList< DirectionalLight * >::getCount(). Referenced by Lamp::FixedShader::setupFixedLight().

virtual Fog* Lamp::DrawRequest::getFog | ( |  | ) | const`[inline, virtual]`

| フォグの取得 Returns: フォグ Definition at line 144 of file DrawRequest.h. Referenced by Lamp::Renderer::initializeGlobalSettings(), and Lamp::FixedShader::resetFogOptionFixed().

virtual int Lamp::DrawRequest::getLocalLightCount | ( |  | ) | const`[inline, virtual]`

| ローカルライト数の取得 Returns: ローカルライト数 Definition at line 215 of file DrawRequest.h. References Lamp::ArrayList< LocalLight * >::getCount(). Referenced by Lamp::FixedShader::setupFixedLight().

virtual Material* Lamp::DrawRequest::getMaterial | ( |  | ) | const`[inline, virtual]`

| マテリアルの取得 Returns: マテリアル Definition at line 109 of file DrawRequest.h. Referenced by Lamp::Scene::getLocalLightList(), Lamp::FixedShader::resetFogOptionFixed(), Lamp::FixedShader::setFogOptionFixed(), and Lamp::FixedShader::setupFixedLight().

virtual Mesh* Lamp::DrawRequest::getMesh | ( |  | ) | const`[inline, virtual]`

| メッシュの取得 Returns: メッシュ Definition at line 57 of file DrawRequest.h. Referenced by Lamp::Shader::drawCall(), and Lamp::FixedShader::drawFixed().

virtual MeshData* Lamp::DrawRequest::getMeshData | ( |  | ) | const`[inline, virtual]`

| メッシュデータの取得 Returns: メッシュデータ Definition at line 95 of file DrawRequest.h.

virtual Model* Lamp::DrawRequest::getModel | ( |  | ) | const`[inline, virtual]`

| モデルの取得 Returns: モデル Definition at line 83 of file DrawRequest.h.

virtual Material* Lamp::DrawRequest::getPreMaterial | ( |  | ) | const`[inline, virtual]`

| 前のマテリアルの取得 Returns: 前のマテリアル Definition at line 115 of file DrawRequest.h. Referenced by Lamp::Material::drawSetup().

virtual SceneNode* Lamp::DrawRequest::getSceneNode | ( |  | ) | const`[inline, virtual]`

| シーンノードの取得 Returns: シーンノード Definition at line 69 of file DrawRequest.h. Referenced by Lamp::FixedShader::setMatrixFixed().

bool Lamp::DrawRequest::isBlendEnabled | ( |  | ) | const`[protected, virtual]`

| ブレンドが有効になった Returns: ブレンドが有効になったのならtrue Definition at line 105 of file DrawRequest.cpp. References Assert, Lamp::Material::isBlendEnabled(), and NULL. Referenced by Lamp::Renderer::rendering().

virtual bool Lamp::DrawRequest::isMaterialChanged | ( |  | ) | const`[inline, virtual]`

| マテリアルに変更があったか Returns: マテリアルに変更があればtrue Definition at line 121 of file DrawRequest.h. Referenced by Lamp::Material::drawSetup().

virtual bool Lamp::DrawRequest::isMeshChanged | ( |  | ) | const`[inline, virtual]`

| メッシュに変更があったか Returns: メッシュに変更があればtrue Definition at line 63 of file DrawRequest.h.

virtual bool Lamp::DrawRequest::isMeshDataChanged | ( |  | ) | const`[inline, virtual]`

| メッシュデータに変更があったか Returns: メッシュデータに変更があればtrue Definition at line 101 of file DrawRequest.h. Referenced by Lamp::Shader::drawCall(), and Lamp::FixedShader::drawFixed().

virtual bool Lamp::DrawRequest::isModelChanged | ( |  | ) | const`[inline, virtual]`

| モデルに変更があったか Returns: モデルに変更があればtrue Definition at line 89 of file DrawRequest.h.

bool Lamp::DrawRequest::isPipelineModeChanged | ( |  | ) | const`[virtual]`

| パイプラインモードに変更があったか Returns: パイプラインモードに変更があればtrue Definition at line 98 of file DrawRequest.cpp. References Lamp::Material::getPipelineMode(), and NULL. Referenced by Lamp::FixedShader::drawFixed().

virtual bool Lamp::DrawRequest::isSceneNodeChanged | ( |  | ) | const`[inline, virtual]`

| シーンノードに変更があったか Returns: シーンノードに変更があればtrue Definition at line 75 of file DrawRequest.h. Referenced by Lamp::FixedShader::setMatrixFixed().

bool Lamp::DrawRequest::requireNormalize | ( |  | ) | const`[virtual]`

| 正規化を必要とするか Returns: 正規化を必要とするならtrue Definition at line 89 of file DrawRequest.cpp. References Lamp::SceneNode::isGlobalScaled(), and Lamp::Mesh::requireNormalize(). Referenced by Lamp::FixedShader::setupFixedDraw().

virtual void Lamp::DrawRequest::setCamera | ( | Camera * | camera | ) | `[inline, protected, virtual]`

  | カメラの設定 Parameters:
  camera | カメラ
Definition at line 287 of file DrawRequest.h. Referenced by Lamp::Renderer::initializeDrawRequest().

virtual void Lamp::DrawRequest::setFog | ( | Fog * | fog | ) | `[inline, protected, virtual]`

  | フォグの設定 Parameters:
  fog | フォグ
Definition at line 280 of file DrawRequest.h. Referenced by Lamp::Renderer::initializeDrawRequest().

void Lamp::DrawRequest::setMesh | ( | Mesh * | mesh | ) | `[protected, virtual]`

  | メッシュの設定 Parameters:
  mesh | メッシュ
Definition at line 70 of file DrawRequest.cpp. References Assert, Lamp::Mesh::getParent(), and NULL. Referenced by Lamp::Renderer::rendering().

int Lamp::DrawRequest::sortLocalLightsCallback | ( | LocalLight *const * | left,
|  | LocalLight *const * | right
| ) | `[static]`

  | ローカルライトのソート用コールバック Parameters:
  left | 左辺値
  right | 右辺値
Returns: 左辺値が右辺値より大きいときは1以上 Definition at line 153 of file DrawRequest.cpp. References sortLocalLightsImprement(). Referenced by sortLocalLights().

The documentation for this class was generated from the following files:

- DrawRequest.h
- DrawRequest.cpp